-- Generate and insert 100 dummy events with random data
DO $$ 
DECLARE
    i INT;
BEGIN
    FOR i IN 1..100 LOOP
        INSERT INTO events (event_name, event_stock, event_price, event_date, event_location, gambar, vid)
        VALUES (
            'Event ' || i,
            FLOOR(RANDOM() * 10) + 1,
            FLOOR(RANDOM() * 91) + 10,
            NOW() + (i || ' days')::INTERVAL,
            'Location ' || i,
            'assets/images/' || (i % 16 + 1) || '.jpg',
            'assets/videos/video.mp4'
        );

        -- Generate and insert tickets corresponding to the event's event_stock
        FOR j IN 1..(FLOOR(RANDOM() * 10) + 1) LOOP
            INSERT INTO tickets (ticket_name, event_id)
            VALUES (
                'Ticket ' || j || ' for Event ' || i,
                (SELECT MAX(event_id) FROM events)
            );
        END LOOP;
    END LOOP;
END $$;

-- Insert user data
INSERT INTO users (user_name, username, user_email, user_hashedPass, isAdmin)
VALUES
    ('John Doe', 'john_doe', 'john@example.com', '$2y$10$8sA2N5Sx/1zMQv2yrTDAaOFlbGWECrrgB68axL.hBb78NhQdyAqWm', 'true'),
    ('Jane Smith', 'jane_smith', 'jane@example.com', '$2y$10$8sA2N5Sx/1zMQv2yrTDAaOFlbGWECrrgB68axL.hBb78NhQdyAqWm', 'false'),
    ('Admin User', 'admin_user', 'admin@example.com', '$2y$10$8sA2N5Sx/1zMQv2yrTDAaOFlbGWECrrgB68axL.hBb78NhQdyAqWm', 'true'),
    ('Alice Johnson', 'alice', 'alice@example.com', '$2y$10$8sA2N5Sx/1zMQv2yrTDAaOFlbGWECrrgB68axL.hBb78NhQdyAqWm', 'false'),
    ('Bob Williams', 'bob', 'bob@example.com', '$2y$10$8sA2N5Sx/1zMQv2yrTDAaOFlbGWECrrgB68axL.hBb78NhQdyAqWm', 'false');
