<?php
    if (session_status() == PHP_SESSION_NONE) {
        // If a session is not already started, start a new one
        session_start();
    }
    ob_start();
    if (!isset($_SESSION["user_id"])) {
        echo "here";
        // User is not authenticated; redirect to login page
        header("Location: /app/Views/login/login.php");
        ob_end_flush();
    }

    require_once '../../Controllers/UserController.php';
    $userController = new UserController();
    $isAdmin = $userController->getUser($_SESSION['user_id'])['isAdmin'];
    
    // Allow only admin to access this page
    if (!$isAdmin){
        header("Location: /app/Views/home/home.php");
        ob_end_flush();
    }
?>

<!DOCTYPE html>
<html lang="en">

    <head>
        <title>Update Event</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" type="text/css" href="/../../styles/global.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/form.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/footer.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/navbar.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/container.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/auth.css">
        <link rel="stylesheet" type="text/css" href="/../../styles/dropdown.css">
    </head>

    <body>
        <?php include '../template/navbar.php';?>
        <!-- <h1>Update Event</h1> -->
        <div class="main-content">
            <form method="post" class="event-form" action="../../router.php" enctype="multipart/form-data">
                <input type="hidden" name="eventId" value="<?php echo $_GET['id']; ?>">
                <input type="text" name="eventName" placeholder="Name" required>
                <input type="number" name="eventPrice" placeholder="Price" required>
                <input type="datetime-local" name="eventDate" required>
                <input type="text" name="eventLocation" placeholder="Location" required>

                <!-- Drag-and-drop area for image upload -->
                <div id="drop-area-create">
                    <p>Drag and drop an image file here or click to select one.</p>
                    <input type="file" id="file-input-create" name="gambar" accept="image/*">
                </div>

                <!-- <input type="text" name="vid" placeholder="Video URL"> -->
                <div id="drop-area-create">
                    <p>Drag and drop an video file here or click to select one.</p>
                    <input type="file" id="file-input-create" name="vid" accept="video/*">
                </div>
                <div id="button-container">
                    <button type="submit" name="eventAction" value="updateEvent">Update</button>
                    <button type="button" id="cancelButton">Cancel</button>
                </div>
            </form>
        </div>
        <?php include '../template/footer.php';?>

        <script>
            // get event id from get request
            const urlParams = new URLSearchParams(window.location.search);
            const eventId = urlParams.get('id');

            document.addEventListener("DOMContentLoaded", function(){
                var xhr = new XMLHttpRequest();

                xhr.open('GET', '../../router.php?eventAction=getEvent&eventId=' + eventId, true);

                // Set up a function to run when the request is successfully completed
                xhr.onload = function () {
                    if (xhr.status >= 200 && xhr.status < 300) {
                        // Parse the JSON
                        var data = JSON.parse(xhr.responseText);

                        // Log and utilize data
                        console.log(data);
                        document.querySelector('input[name="eventName"]').value = data.event_name;
                        document.querySelector('input[name="eventPrice"]').value = data.event_price;
                        document.querySelector('input[name="eventDate"]').value = data.event_date;
                        document.querySelector('input[name="eventLocation"]').value = data.event_location;
                    } else {
                        // Handle error: log status text
                        console.log('Failed to fetch event:', xhr.statusText);
                    }
                };

                // Set up a function to handle any errors that may occur
                xhr.onerror = function () {
                    console.error('Request failed:', xhr.statusText);
                };

                // Send the request
                xhr.send();
            });

            const cancelButton = document.getElementById("cancelButton");
            cancelButton.addEventListener("click", function() {
                window.location.href = "/app/Views/home/home.php";
            });
        </script>
    </body>
</html>