<?php
    if (session_status() == PHP_SESSION_NONE) {
        // If a session is not already started, start a new one
        session_start();
    }
    ob_start();
    if (!isset($_SESSION["user_id"])) {
        echo "here";
        // User is not authenticated; redirect to login page
        header("Location: /app/Views/login/login.php");
        ob_end_flush();
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Purchase Ticket</title>
    <link rel="stylesheet" type="text/css" href="/../../styles/global.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/form.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/footer.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/navbar.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/container.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/auth.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/media.css">
    <!-- Include any CSS styles or external libraries here -->
</head>
<body>
    
    <?php include 'Views/template/navbar.php';?>

    <div class="main-content">
        <div class="column">
            <h1>Purchase Ticket</h1>
            <div class="event-container">
                <h2><?php echo $ticket['event_name']; ?></h2>
                <div class="row">
                    <img src="<?php echo '../../../'.$ticket['gambar']; ?>" alt="<?php echo $ticket['event_name']; ?>" width="35%">
                    <video width="60%" controls>
                        <source src="<?php echo '../../../'.$ticket['vid']; ?>" type="video/mp4">
                        Your browser does not support the video tag.
                    </video>
                </div>
                <div class="row">
                    <div class="column" width="250">
                        <p><strong>Location:</strong> <?php echo $ticket['event_location']; ?></p>
                        <p><strong>Date/Time:</strong> <?php echo $ticket['event_date']; ?></p>
                        <p><strong>Ticket Price:</strong> <?php echo $ticket['event_price']; ?></p>
                        <p><strong>Tickets Left:</strong> <?php echo $ticket['event_stock']; ?></p>
                    </div>
                    <!-- Display the ticket details -->
                    <div class="column">
                        <h2>Ticket Details</h2>
                        <p>Ticket ID: <?php echo $ticket['ticket_id']; ?></p>
                        <p>Ticket Name: <?php echo $ticket['ticket_name']; ?></p>
                        
                        <!-- Purchase Form -->
                    </div>    
                    <form id="purchaseForm" method="post" action="/app/router.php">
                        <input type="hidden" name="ticketId" value="<?php echo $ticket['ticket_id']; ?>">
                        <input type="hidden" name="userId" value="<?php echo $_SESSION['user_id']; ?>">
                        <input type="hidden" name="purchaseAction" value="purchaseTicket">
                        <button type="button" id="confirmPurchaseBtn">Confirm Purchase</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <!-- JavaScript code for the confirmation dialog -->
    <script>
        // Function to show the confirmation dialog
        function showConfirmationDialog() {
            if (confirm("Are you sure you want to purchase this ticket?")) {
                // If the user confirms, submit the form
                document.getElementById("purchaseForm").submit();
            }
        }
        
        // Attach the confirmation dialog to the button click event
        document.getElementById("confirmPurchaseBtn").addEventListener("click", showConfirmationDialog);
        </script>
    
    <!-- Include any additional content or messages here -->
    <?php include 'Views/template/footer.php';?>
    
</body>
</html>
