<?php
    if (session_status() == PHP_SESSION_NONE) {
        // If a session is not already started, start a new one
        session_start();
    }
    ob_start();
    if (!isset($_SESSION["user_id"])) {
        echo "here";
    }

    $userId = $_SESSION['user_id'] ?? null;
    $userData = null;

    if ($userId !== null) {
        require_once '../../Controllers/UserController.php';
        $userController = new UserController();

        $userData = $userController->getUser($userId);
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>View Profile • TICKET KU</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="/../../styles/global.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/navbar.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/container.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/auth.css">
    <link rel="stylesheet" type="text/css" href="/../../styles/footer.css">
    <!-- Add other stylesheets as needed -->
</head>

<body>
    <?php include '../template/navbar.php';?>
    <div class="main-content">
        <div class="profile-container">
            <h1>View Profile</h1>
            <form id="viewProfileForm" action="edit_profile.php">
                <?php
                if ($userData !== null) {
                    // Display user data if the keys exist
                    if (isset($userData['user_ID'])) {
                        echo "<p><strong>User ID:</strong> {$userData['user_ID']}</p>";
                    } else {
                        echo "User ID not available.";
                    }

                    if (isset($userData['username'])) {
                        echo "<p><strong>Username:</strong> {$userData['username']}</p>";
                    } else {
                        echo "Username not available.";
                    }

                    if (isset($userData['user_name'])) {
                        echo "<p><strong>Username:</strong> {$userData['user_name']}</p>";
                    } else {
                        echo "Username not available.";
                    }

                    if (isset($userData['user_email'])) {
                        echo "<p><strong>Email:</strong> {$userData['user_email']}</p>";
                    } else {
                        echo "Email not available.";
                    }
                } else {
                    echo "User data not available.";
                }
                ?>

                <form method="get" action="edit_profile.php">
                    <input type="hidden" name="userAction" value="viewProfile">
                    <button type="submit">Edit Profile</button>
                </form>
            </form>
        </div>
    </div>
    <?php include '../template/footer.php';?>
    <script defer>
        function toggleMenu() {
            const navbar = document.querySelector('.navbar ul');
            navbar.classList.toggle('show');
        }
    </script>
    <script src="js/script.js"></script>
</body>

</html>
