<?php

namespace Server\Models;

use PDO;

class PembelianModel extends Model {
    public function createPembelian($ticketId, $userId, $createdTime) {
        $stmt = $this->database->prepare("INSERT INTO pembelian (ticket_id, user_id, pembelian_created_time) VALUES (?, ?, ?)");

        if ($stmt->execute([$ticketId, $userId, $createdTime])) {
            $stmt = $this->database->prepare("SELECT event_id FROM tickets WHERE ticket_id = ?");
            $stmt->execute([$ticketId]);
            $result = $stmt->fetch(PDO::FETCH_ASSOC);

            if ($result) {
                $eventId = $result['event_id'];

                // Decrement the event's stock by 1
                $stmt = $this->database->prepare("UPDATE events SET event_stock = event_stock - 1 WHERE event_id = ?");
                return $stmt->execute([$eventId]);
            }
        }
    }

    public function getPembelian($pembelianId) {
        $stmt = $this->database->prepare("SELECT * FROM pembelian WHERE pembelian_id = ?");
        $stmt->execute([$pembelianId]);

        return $stmt->fetch(PDO::FETCH_ASSOC);
    }

    public function updatePembelian($pembelianId, $ticketId, $userId, $createdTime) {
        $stmt = $this->database->prepare("UPDATE pembelian SET ticket_id = ?, user_id = ?, pembelian_created_time = ? WHERE pembelian_id = ?");
        $stmt->execute([$ticketId, $userId, $createdTime, $pembelianId]);

        return "Pembelian updated successfully";
    }

    public function deletePembelian($pembelianId) {
        $stmt = $this->database->prepare("DELETE FROM pembelian WHERE pembelian_id = ?");
        $stmt->execute([$pembelianId]);

        return "Pembelian deleted successfully";
    }

    public function getAllPembelian() {
        $stmt = $this->database->prepare("SELECT * FROM pembelian");
        $stmt->execute();
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }

    public function getAllPembelianWithDetails() {
        $stmt = $this->database->prepare("SELECT * FROM pembelian JOIN tickets ON pembelian.ticket_id = tickets.ticket_id JOIN events ON tickets.event_id = events.event_id ORDER BY pembelian_created_time DESC");
        $stmt->execute();
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }

    public function getPembelianByUserId($userId) {
        $stmt = $this->database->prepare("SELECT * FROM pembelian JOIN tickets ON pembelian.ticket_id = tickets.ticket_id JOIN events ON tickets.event_id = events.event_id WHERE user_id = ? ORDER BY pembelian_created_time DESC");
        $stmt->execute([$userId]);
        return $stmt->fetchAll(PDO::FETCH_ASSOC);
    }
}
