<?php
    require_once(__DIR__ . '/../../db/connect.php');
    
    class SubscriptionModel {
        public function createSubscription($creator_id, $subscriber_id, $creator_name) {
            global $db;
    
            $stmt = $db->prepare("INSERT INTO subscription (creator_id, subscriber_id, creator_name) VALUES (?, ?, ?)");
            if ($stmt->execute([$creator_id, $subscriber_id, $creator_name])) {
                return "Subscription created successfully";
            }
        }

        public function getSubscription($subscriber_id) {
            global $db;
    
            $stmt = $db->prepare("SELECT * FROM subscription WHERE subscriber_id = ?");
            $stmt->execute([$subscriber_id]);
    
            return $stmt->fetchAll(PDO::FETCH_ASSOC);
        }

        public function updateSubscription($creator_id, $subscriber_id, $status) {
            global $db;
    
            $stmt = $db->prepare("UPDATE subscription SET status = ? WHERE creator_id = ? AND subscriber_id = ?");
            if ($stmt->execute([$status, $creator_id, $subscriber_id])) {
                return "Subscription updated successfully";
            }
        }
    }
?>